Get invoice using specific key.
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
invoice| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| internal_number |
Internal number to identify the invoice |
string | |
| company_id |
Foreign key to company, identifies the company of the invoice |
globally unique identifier | |
| company_code |
Company code of the invoice |
string | |
| company_name |
Company name of the invoice |
string | |
| date_create |
Invoice creation date in utc |
date | |
| memo |
Memo field for invoice |
string | |
| description |
Decription field for invoice |
string | |
| invoice_type |
Invoice type, possible values “ContractGenerated“ and “WorkOrderApproval“ |
string | |
| source_type |
Source of invoice, refers to the type of the object from which invoice is derived |
string | |
| source_id_in_table |
Key of the object from which the invoice is derived |
globally unique identifier | |
| total_lines |
Total amount of lines linked to the invoice |
integer | |
| total_amount |
Total value of items in lines linked to the invoice |
decimal number | |
| db_currency_id |
Key of db_currency entity, identifies the db_currency of the invoice |
globally unique identifier | |
| total_taxes |
Total taxes |
decimal number | |
| due_date |
The due date |
date | |
| source_db_table_name |
The name of db table |
string | |
| delivery_name |
The delivery name |
string | |
| delivery_street |
The street for delivery |
string | |
| delivery_city |
The city for delivery |
string | |
| delivery_zip |
The zip for delivery |
string | |
| delivery_db_country_name |
The country name for delivery |
string | |
| reference_back_office |
Reference data for back office |
string | |
| db_payment_method_id |
Payment method id |
globally unique identifier | |
| id2 |
id for internal |
integer | |
| customer_remarks |
Customer remarks |
string | |
| bill_to_party |
The bill to party |
string | |
| bill_to_contact_id |
Contact id for bill |
globally unique identifier | |
| contact_id |
Contact id of invoice |
globally unique identifier | |
| article_price_label_id |
Article price label id |
globally unique identifier | |
| db_language_id |
The language id |
globally unique identifier | |
| invoice_status_id |
The status id of invoice |
globally unique identifier | |
| invoice_status_name |
The status name of invoice |
string | |
| discount_group_id |
The id of discount group |
globally unique identifier | |
| discount |
Discount value |
decimal number | |
|
The email |
string | ||
| invoice_number |
Invoice number |
string | |
| bill_to_company_id |
Company id for bill |
globally unique identifier | |
| dateutc_confirmation |
The confirmation date (UTC) |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "31850986-c61b-41a8-b3cb-b73bcc74e32d",
"internal_number": "sample string 2",
"company_id": "0b57c851-3fe6-4d74-8bd3-edb60f3e0f3d",
"company_code": "sample string 4",
"company_name": "sample string 5",
"date_create": "2026-03-24T07:13:58.6131368+00:00",
"memo": "sample string 7",
"description": "sample string 8",
"invoice_type": "sample string 9",
"source_type": "sample string 10",
"source_id_in_table": "0a92a7fb-9055-46dc-ad95-d3f020f09aa0",
"total_lines": 12,
"total_amount": 13.0,
"db_currency_id": "f745cbb1-4ffd-4074-b911-105082388bc1",
"total_taxes": 15.0,
"due_date": "2026-03-24T07:13:58.6131368+00:00",
"source_db_table_name": "sample string 17",
"delivery_name": "sample string 18",
"delivery_street": "sample string 19",
"delivery_city": "sample string 20",
"delivery_zip": "sample string 21",
"delivery_db_country_name": "sample string 22",
"reference_back_office": "sample string 23",
"db_payment_method_id": "782f8a75-2085-4aa1-9cef-2a99d2f3c9e5",
"id2": 25,
"customer_remarks": "sample string 26",
"bill_to_party": "sample string 27",
"bill_to_contact_id": "68636c7f-0fdb-4739-8925-c32dc452b8b3",
"contact_id": "5bb218e0-0966-4333-829b-54d4c990fd9e",
"article_price_label_id": "f22899d0-593e-4ec1-9259-8240ca4ebc36",
"db_language_id": "f64cfed6-a989-488e-869b-bfd9e313c647",
"invoice_status_id": "7e658917-e717-460d-8551-6e7fb69bd8c5",
"invoice_status_name": "sample string 33",
"discount_group_id": "18800cc5-d961-4613-afc2-dd4d1488cef7",
"discount": 35.0,
"email": "sample string 36",
"invoice_number": "sample string 37",
"bill_to_company_id": "0741ca60-1331-457c-ab09-1b61c3ea89f5",
"dateutc_confirmation": "2026-03-24T07:13:58.6131368+00:00",
"modified_dateutc": "2026-03-24T07:13:58.6131368+00:00"
}